# dyna3

### Abstract

Constraint-based three-dimensional dynamic geometry

## Description

From a thorough web search, there does not seem to be a dynamic geometry software package which (a) began its life handling three dimensions, rather than just two, and (b) allows you to express the desired geometric configuration in terms of constraints on the entities (e.g. l and k are parallel, a, b, and c a collinear, etc.) rather than as a construction (e.g. l is the perpendicular bisector of a and b). The goal of the dyna3 project is to close this gap.

The first step is to produce a simple WebGL canvas which displays a point (as small spheres with a stipple texture) so that it can be dragged around.
